﻿




.btn-save {
    background: #e05f03!important;
    border: none;
    box-shadow: 0 4px #c45507, -5px 7px transparent;
    font-weight: 500;
    color: #fff;
    height: 40px;
    border-radius: 5px;
    font-size: 16px;
}
    .btn-save:hover {
        background: #c65200 !important; /* Darker orange */
        box-shadow: 0 4px #c9481f, -5px 7px transparent;
        color: #fff !important;
    }
    .btn-save:active {
        background: #c65200 !important;     
        box-shadow: 0 4px #c9481f, -5px 7px transparent;
        color: #fff !important;
    }
.custom-input-auth {
    padding: .6rem 1rem!important;
    line-height: 1.5!important;
    width: 100%;
    border: 1px solid #abaeb6;
    border-radius: .3125rem!important;
    font-size: 1rem!important;
    outline: none!important;
    transition: border-color 0.3s, box-shadow 0.3s!important;
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075)!important;
}
.custom-from-control {  
    width: 100%;
    border: 1px solid #abaeb6;
    border-radius: .3125rem !important;  
    outline: none !important;
    transition: border-color 0.3s, box-shadow 0.3s !important;
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075) !important;
}
.custom-form-select {
    width: 100%;
    padding: 12px 14px !important;
    border: 1.5px solid #ccc;
    border-radius: 4px;
    font-size: 14px;
    outline: none !important;
    transition: border-color 0.3s, box-shadow 0.3s !important;
    box-shadow: inset 0 1px 2px rgba(0, 0, 0, .075) !important;
}



#expenseTable td, #expenseTable th {
    white-space: nowrap;
    vertical-align: middle;
}

.modal-content {
    border-radius: 1rem;
    overflow: hidden;
}

.modal-header {
    border-bottom: none;
}

.modal-footer {
    border-top: none;
}

.form-label {
    font-size: 0.9rem;
}
.error {
    border: 1px solid red !important;
    background-color: #fcb3cb17;
}
/* 🔹 Loader Overlay Container */

.loader_container {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.75);
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 9999;
}

/* When active, flexbox centers the GIF */
.loader_container.active {
    display: flex;
}

/* 🔹 Loader GIF */
.loader_container img {
    width: 90px;
    display:flex;
    justify-content:center;
    align-items:center;
    height: 90px;
    border-radius: 8px;
    object-fit: contain;
}

